<template>
    <div id="emois">
        <v-tooltip bottom>
            <template v-slot:activator="{ on }">
                <v-img @click="()=>{ setEmoi('3)')}" max-height="25" max-width="25" src="/emois/3).png" v-on="on"></v-img>
            </template>
            <span>3)</span>
        </v-tooltip>
        <v-tooltip bottom>
            <template v-slot:activator="{ on }">
                <v-img @click="()=>{ setEmoi('_)')}" max-height="25" max-width="25" src="/emois/_).png" v-on="on"></v-img>
            </template>
            <span>_)</span>
        </v-tooltip>
        <!-- <v-tooltip bottom>
            <template v-slot:activator="{ on }">
                <v-img @click="()=>{ setEmoi('3D')}" max-height="25" max-width="25" src="/emois/3D.png" v-on="on"></v-img>
            </template>
            <span>3D</span>
        </v-tooltip><br /> -->
        <v-tooltip class="new-line" bottom>
            <template v-slot:activator="{ on }">
                <v-img @click="()=>{ setEmoi('8D')}" max-height="25" max-width="25" src="/emois/8D.png" v-on="on"></v-img>
            </template>
            <span>8D</span>
        </v-tooltip>
        <v-tooltip bottom>
            <template v-slot:activator="{ on }">
                <v-img @click="()=>{ setEmoi('8E')}" max-height="25" max-width="25" src="/emois/8E.png" v-on="on"></v-img>
            </template>
            <span>8E</span>
        </v-tooltip>

    </div>
</template>

<script>
export default {
    methods: {
        setEmoi(emoi) {
            this.$bus.$emit('setEmoi', emoi);
        }
    }
}
</script>
<style lang="scss" scoped>
#emois {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    & > * {
        flex: 1;
        width: 33%;
        &.new-line {
            flex-basis: 100%;
        }
    }
}
</style>